import {User} from '../models/user';

export class StorageService {
	getUserInfo(): User {
		const firebonkId = parseInt((localStorage.getItem('user_firebonkId') ?? '-1'), 10);
		const uuid = localStorage.getItem('user_uuid') ?? '';
		const firstName = localStorage.getItem('user_firstName') ?? '';
		const token = localStorage.getItem('user_token') ?? '';
		const sessionKey = localStorage.getItem('user_sessionKey') ?? '';

		return {
			firebonkId: firebonkId,
			uuid: uuid,
			firstName: firstName,
			token: token,
			sessionKey: sessionKey
		};
	}

	setUserInfo(user: User): void {
		localStorage.setItem('user_firebonkId', String(user.firebonkId));
		localStorage.setItem('user_uuid', String(user.uuid));
		localStorage.setItem('user_firstName', String(user.firstName));
		localStorage.setItem('user_token', String(user.token));
		localStorage.setItem('user_sessionKey', String(user.sessionKey));
	}
}
